Ext.namespace("dSS", "dSS.config", "dSS.devprops");
dSS.devprops.VisibilityMatrix = {
    'GE' :  {
                'KM:220'    :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                               },
                'KM:2'      :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                               },
                'KL:2'      :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : false,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                               },
                'TKM:210'   :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                               },
                'TKM:2'     :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                               },
                'SDM:2'     :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                               },
                'SDS:210'   :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : true
                               },
                'SDS:200'   :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : true,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : true
                               },
                'SDS:220'   :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : true,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : true
                               },
                'SDS:2'     :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : true
                                },
                'TUP:220'    :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'TUP:2'      :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : false,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'ZWS:2'      :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : false,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                }
            },
    'GN' :  {
                'KM:2'       :   {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'TKM:210'    :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'TKM:2'      :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'TUP:210'    :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'TUP:2'      :  {
                                    'dontcare'      : false,
                                    'blink'         : false,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'SDS:2'     :   {
                                    'dontcare'      : false,
                                    'blink'         : false,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : true,
                                    'pushbutton'    : false,
                                    'pushbdevice'   : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                }
            },
    'RT' :  {
                'KM:2'       :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'TKM:2'      :  {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'SDM:2'      :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'SDS:2'      :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : true,
                                    'outvalue8'     : true,
                                    'pushbutton'    : false,
                                    'pushbdevice'   : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                'TUP:2'      :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                }
            },
    'GR' :  {
               'KL:220'      :   {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : true,
                                    'shadeposition' : true,
                                    'motiontimefins': true,
                                    'shadebladeang' : true,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                 },
               'KL:2'        :   {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : true,
                                    'shadeposition' : true,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                 },
               'TKM:2'       :   {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                 },
               'TUP:220'     :   {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                 },
               'TUP:2'       :   {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : false,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                 }
            },
    'BL' :  {
                 'KM:2'       :  {
                                    'dontcare'      : true,
                                    'blink'         : false,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                 'KL:2'       : {
                                    'dontcare'      : true,
                                    'blink'         : false,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                 'SDS:2'      : {
                                    'dontcare'      : true,
                                    'blink'         : false,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : false,
                                    'pushbdevice'   : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                 'TUP:2'      : {
                                    'dontcare'      : false,
                                    'blink'         : false,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                }
            },
    'TK' :  {
                 'TKM:2'     :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                 'TUP:2'     :  {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                }
            },
    'SW' :  {
                  'TKM:2'   :   {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : true,
                                    'consumption'   : false,
                                    'jokerconfig'   : true,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : true
                                },
                  'KL:2'    :   {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : false,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : true,
                                    'shadebladeang' : false,
                                    'highlevel'     : true,
                                    'consumption'   : true,
                                    'jokerconfig'   : true,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                  'TUP:2'   :   {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : true,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                  'ZWS:2'   :   {
                                    'dontcare'      : true,
                                    'blink'         : true,
                                    'ledauto'       : true,
                                    'leddark'       : false,
                                    'transt'        : true,
                                    'outmode'       : false,
                                    'outvalue8'     : true,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : true,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : true,
                                    'shadebladeang' : false,
                                    'highlevel'     : true,
                                    'consumption'   : true,
                                    'jokerconfig'   : true,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : false
                                },
                  'SDS:200' :   {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : true,
                                    'consumption'   : false,
                                    'jokerconfig'   : true,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : true
                                },
                  'SDS:220' :   {
                                    'dontcare'      : false,
                                    'blink'         : true,
                                    'ledauto'       : false,
                                    'leddark'       : true,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : true,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : true,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : true,
                                    'consumption'   : false,
                                    'jokerconfig'   : true,
                                    'akmsensor'     : false,
                                    'akminput'      : false,
                                    'akmdelay'      : false,
                                    'twowayconfig'  : true
                                },
                  'AKM:2'   :   { 
                                    'dontcare'      : false,
                                    'blink'         : false,
                                    'ledauto'       : false,
                                    'leddark'       : false,
                                    'transt'        : false,
                                    'outmode'       : false,
                                    'outvalue8'     : false,
                                    'pushbutton'    : false,
                                    'pushbdevice'   : false,
                                    'pushbadvanced' : false,
                                    'pushbcombined' : false,
                                    'shadeprops'    : false,
                                    'shadeposition' : false,
                                    'motiontimefins': false,
                                    'optypeconfig'  : false,
                                    'shadebladeang' : false,
                                    'highlevel'     : false,
                                    'consumption'   : false,
                                    'jokerconfig'   : false,
                                    'akmsensor'     : true,
                                    'akminput'      : true,
                                    'akmdelay'      : true,
                                    'twowayconfig'  : false
                                }
            }
};

dSS.devprops.GetVisibleProperties = function(devClass, devType, devNumber) {
    var none = {
                   'dontcare'      : false,
                   'blink'         : false,
                   'ledauto'       : false,
                   'leddark'       : false,
                   'transt'        : false,
                   'outmode'       : false,
                   'outvalue8'     : false,
                   'pushbutton'    : false,
                   'pushbdevice'   : false,
                   'pushbadvanced' : false,
                   'pushbcombined' : false,
                   'shadeprops'    : false,
                   'shadeposition' : false,
                   'motiontimefins': false,
                   'optypeconfig'  : false,
                   'shadebladeang' : false,
                   'highlevel'     : false,
                   'consumption'   : false,
                   'jokerconfig'   : false,
                   'akmsensor'     : false,
                   'akminput'      : false,
                   'akmdelay'      : false
               };

    var dc = dSS.devprops.VisibilityMatrix[dSS.config.deviceColors[devClass]];
    if (dc === undefined) {
        throw none;
    }

    var key = dSS.config.deviceTypes[devType] + ':' + devNumber;

    var ret = dc[key];
    if (ret === undefined) {
        // try wildcard
        key = dSS.config.deviceTypes[devType] + ':' +
              String(devNumber).charAt(0);
        ret = dc[key];
        if (ret === undefined) {
            throw none;
        } else {
            return ret;
        }
    } else {
        return ret;
    }
};

